Bug 127259 - RFE: Prompt for password on PPP connections
RFE: Prompt for password on PPP connections
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: rcn-modem
  Show dependency treegraph
 
Reported: 2004-07-05 07:27 EDT by Leon Stringer
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:33:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Stringer 2004-07-05 07:27:07 EDT
From Bugzilla Helper:
User-Agent: 

Description of problem:
Could there be an option which prompts for a password when PPP or
other dial-up (or ISDN) network devices are activated?

This is as opposed to having the password stored.

My organization (and presumably others) uses a rotating password (like
and RSA security token) so I have to type a new password for every
connection, this is quite cumbersome with the current interface.

Obviously, this should be optional, if your password is static you
don't want to get this prompt.

I'm not sure whether this belongs in system-config-network or
system-control-network. I think the latter but as that isn't in
Bugzilla I'm listing it here.

It would be extra useful if this integrated with the Modem Lights
GNOME utility, a change to /sbin/ifup may allow the RedHat GUI to fit
in with this.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(Enhancement)

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:16:13 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.